0

iQanDesign 5.x and brand new MC2 unit program download

David Dufour 2 years ago in IQANdesign updated 2 years ago 2

I tried today to download a 5.x program into a brand new MC2 unit who have never been upgraded with a new firmware. (Actually, I used 5.03 version)


I always go no communication with the MC2 until I use a V4.x iQan design.


After the first firmware update from 4.07 iQanDesign, I was able to complete the task from the 5.03.


There is an issue with this version ?

The IQAN-MC2 is still shipped with version 2.61 from our production. We are in the process of upgrading the production test to ship with a later version, but unfortunately this has been delayed. 


When you have an IQAN master running version 2.x and press Connect in IQANrun 5, you will get a dialog saying "Target system not compatible"

Connecting to MC2 version 2.61


If you are connected on CAN and you just want to make an update to a 5.x application, you can actually press No in this dialogue, and continue to send your .idax proejct file. 

This will work. 


But if you are connected on USB, that operation won't work. The symptom will be No reply, No handshake reply from master module MC2[0].


Attempting to upgrade MC2 2.61 over USB


Hi Gustav,


I don't know why but I didn't receive the update by email!


now it's clear. I'll keep it in mind for older units in stock.



Regards,


David